Bug 162459 - libgtop2 2.10.1 incompatible with perl GTop module
libgtop2 2.10.1 incompatible with perl GTop module
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libgtop2 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-05 03:58 EDT by Paul Lindner
Modified: 2014-06-18 05:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.14.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 04:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Lindner 2005-07-05 03:58:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/412 (KHTML, like Gecko) Safari/412

Description of problem:
Version 2.10.1 is not compatible with the perl GTop wrapper.  A missing include file was re-added in 
version 2.10.2.  Please upgrade to this release.


Version-Release number of selected component (if applicable):
libgtop2-2.10.1-1

How reproducible:
Always

Steps to Reproduce:
1.  Try to install GTop-0.16 from CPAN


Actual Results:  Compilation failed looking for glib/open.h

Expected Results:  File should have been found.

Additional info:

Just need to upgrade.  Patch against fedora CVS:

Index: libgtop2.spec
===============================================================
====
RCS file: /cvs/dist/devel/libgtop2/libgtop2.spec,v
retrieving revision 1.17
diff -u -r1.17 libgtop2.spec
--- libgtop2.spec       29 Apr 2005 15:55:48 -0000      1.17
+++ libgtop2.spec       5 Jul 2005 07:54:28 -0000
@@ -6,7 +6,7 @@
 
 Name:          libgtop2
 Summary:        libgtop library (version 2)
-Version:       2.10.1
+Version:       2.10.2
 Release:       1
 License:       GPL
 URL:            ftp://ftp.gnome.org/pub/GNOME/sources/libgtop/2.0
@@ -82,6 +82,9 @@
 %{_libdir}/pkgconfig/*.pc
 
 %changelog
+* Tue Jul  5 2005 Paul Lindner <lindner@inuus.com> - 2.10.2-1
+- Update to 2.10.2, fixes GTop perl module
+
 * Fri Apr 29 2005 David Zeuthen <davidz@redhat.com> - 2.10.1-1 - New upstream version (#155188) 
Index: sources
===============================================================
====
RCS file: /cvs/dist/devel/libgtop2/sources,v
retrieving revision 1.13
diff -u -r1.13 sources
--- sources     29 Apr 2005 15:55:48 -0000      1.13
+++ sources     5 Jul 2005 07:54:28 -0000
@@ -1 +1,2 @@
-b006baa3bd486005411a03534b45708e  libgtop-2.10.1.tar.bz2
+59d1f49a37abe98a25fdb005711cd5fe  libgtop-2.10.2.tar.bz2
+
Comment 1 Paul Lindner 2006-04-22 04:48:23 EDT
This is fixed in downstream releases

Note You need to log in before you can comment on or make changes to this bug.